# ``subvertpy`.`ra_svn``

module documentation

Python bindings for Subversion.

Class | `DirectoryEditor` | Undocumented
Class | `Editor` | Undocumented
Class | `FileEditor` | Undocumented
Class | `Reporter` | Undocumented
Class | `SSHSubprocess` | A socket-like object that talks to an ssh subprocess via pipes.
Class | `SSHVendor` | Undocumented
Class | `SVNClient` | Undocumented
Class | `SVNConnection` | Undocumented
Class | `SVNServer` | Undocumented
Class | `TCPSVNRequestHandler` | Undocumented
Class | `TCPSVNServer` | Undocumented
Function | `feed_editor` | Undocumented
Function | `mark_busy` | Undocumented
Function | `unmarshall_dirent` | Undocumented
Constant | `CAPABILITIES` | Undocumented
Constant | `MAX_VERSION` | Undocumented
Constant | `MECHANISMS` | Undocumented
Constant | `MIN_VERSION` | Undocumented
Constant | `SVN_PORT` | Undocumented
Variable | `__author__` | Undocumented

def feed_editor(conn, editor):

Undocumented

def mark_busy(unbound):

Undocumented

def unmarshall_dirent(d):

Undocumented

CAPABILITIES: `list[str]` =

Undocumented

Value

    ['edit-pipeline', 'bazaar', 'log-revprops']

MAX_VERSION: `int` =

Undocumented

Value

    2

MECHANISMS: `list[str]` =

Undocumented

Value

    ['ANONYMOUS']

MIN_VERSION: `int` =

Undocumented

Value

    2

SVN_PORT: `int` =

Undocumented

Value

    3690

__author__: `str` =

Undocumented